libgeglmm: Gegl::Rectangle Class Reference

libgeglmm

Public Member Functions | Protected Attributes | Related Functions
Gegl::Rectangle Class Reference

List of all members.

## Public Member Functions
void | bounding_box (const Rectangle& src1, const Rectangle& src2)
bool | contains (const Rectangle& s) const
void | copy (const Rectangle& from)
void | dump () const
bool | equal (const Rectangle& s) const
bool | equal_coords (int x, int y, int width, int heght) const
GeglRectangle* | gobj ()
| Provides access to the underlying C instance.
const GeglRectangle* | gobj () const
| Provides access to the underlying C instance.
bool | intersect (const Rectangle& src1, const Rectangle& src2)
bool | is_empty () const
bool | is_infinite_plane () const
| Rectangle ()
| Rectangle (const GeglRectangle* gobject)
| Rectangle (const GeglRectangle& rect)
void | set (int x, int y, guint witdth, guint height)
## Protected Attributes
GeglRectangle | gobject_
## Related Functions
(Note that these are not member functions.)
Gegl::Rectangle& | wrap (GeglRectangle* object)
const Gegl::Rectangle& | wrap (const GeglRectangle* object)

## Constructor & Destructor Documentation

Gegl::Rectangle::Rectangle | ( |  | ) |

Gegl::Rectangle::Rectangle | ( | const GeglRectangle * | gobject | ) | `[explicit]`

Gegl::Rectangle::Rectangle | ( | const GeglRectangle & | rect | ) |

## Member Function Documentation

void Gegl::Rectangle::bounding_box | ( | const Rectangle& | src1,
|  | const Rectangle& | src2
| ) |  |

bool Gegl::Rectangle::contains | ( | const Rectangle& | s | ) | const

void Gegl::Rectangle::copy | ( | const Rectangle& | from | ) |

void Gegl::Rectangle::dump | ( |  | ) | const

bool Gegl::Rectangle::equal | ( | const Rectangle& | s | ) | const

bool Gegl::Rectangle::equal_coords | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | heght
| ) |  | const

GeglRectangle* Gegl::Rectangle::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

const GeglRectangle* Gegl::Rectangle::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

bool Gegl::Rectangle::intersect | ( | const Rectangle& | src1,
|  | const Rectangle& | src2
| ) |  |

bool Gegl::Rectangle::is_empty | ( |  | ) | const

bool Gegl::Rectangle::is_infinite_plane | ( |  | ) | const

void Gegl::Rectangle::set | ( | int | x,
|  | int | y,
|  | guint | witdth,
|  | guint | height
| ) |  |

## Friends And Related Function Documentation

Gegl::Rectangle& wrap | ( | GeglRectangle * | object | ) | `[related]`

Parameters:

  object | The C instance

Returns:
  A C++ instance that wraps this C instance.

const Gegl::Rectangle& wrap | ( | const GeglRectangle * | object | ) | `[related]`

Parameters:

  object | The C instance

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GeglRectangle Gegl::Rectangle::gobject_`[protected]`

Referenced by gobj().

The documentation for this class was generated from the following file:

- rectangle.h